# Type alias AsObject

AsObject: {
pubKeyRing?: PubKeyRing.AsObject;
sellerPaymentAccountKey: Uint8Array | string;
senderNodeAddress?: NodeAddress.AsObject;
tradeId: string;
uid: string;
updatedMultisigHex: string;
}

#### Type declaration

- ##### `Optional` pubKeyRing?: PubKeyRing.AsObject

- ##### sellerPaymentAccountKey: Uint8Array | string

- ##### `Optional` senderNodeAddress?: NodeAddress.AsObject

- ##### tradeId: string

- ##### uid: string

- ##### updatedMultisigHex: string

- Defined in src/protobuf/pb_pb.d.ts:1373

Generated using TypeDoc